#!/bin/bash

set -euo pipefail

name="$1"

expiry="24m"
key="$name.pgp"
cert="$name-cert.pgp"

sq key generate \
	--can-sign \
	--cannot-encrypt \
	--cannot-authenticate \
	--expires-in "$expiry" \
	--export="$key" \
	--userid "apt.liw.fi archive signing key <liw@liw.fi>"
rm "$key.rev"
sq key extract-cert "$key" --output "$cert"
